As an operator, I want to list all ATPs related to my receivable RTP

## Summary ##

Operator see a list of all ATPs related to this RTP where I am the payee

## Acceptance Criteria ##


1. I will see basic details on ALL related ATPs

**Given** that I am an authorised Bridge user

AND I am the RTP PAYEE

GET /receivables/rtps/{rtpID}/atps

THEN request returns basic details on ALL related ATPs


2. I will see full payeeInstrument info (as RTP payee is always ATP payee)

**Given** that I am an authorised Bridge user

AND I am the RTP PAYEE

AND I am also the ATP payee

GET /receivables/rtps/{rtpID}/atps

THEN request returns full payeeInstrument info for ALL related ATPs



3. I will see full payerInstrument info

**Given** that I am an authorised Bridge user

AND I am the RTP PAYEE

AND I am the ATP PAYER

GET /receivables/rtps/{rtpID}/atps

THEN request returns full payeeInstrument info for ALL related ATPs


4. I will see reduced/no payerInstrument info

**Given** that I am an authorised Bridge user

AND I am the RTP PAYEE

AND I am NOT the ATP PAYER

GET /receivables/rtps/{rtpID}/atps

THEN request returns reduced/no payerInstrument info for ALL related ATPs



5. The wiki is updated





---


Update swagger def

Implementation

E2E tests of swagger def

Update E2E tests

Update integration tests

Manual tests

Automated tests

Update wiki

Make sure everything works





As an operator, I want to list all ATPs related to my receivable RTP


GET /receivables/rtps/{rtpID}/atps

: list all ATPs related to this RTP where I am the payee

RTP PAYEE only can call

Will see basic details on ALL related ATPs

Will see full payeeInstrument info (as RTP payee is always ATP payee)

Will see full payerInstrument info IF they ARE also the ATP payer

Will see reduced/no payerInstrument info IF they ARE NOT also the ATP payer




As a user I want to list all ATPs where I am the payer