As a user I want to pay an RTP in full (using stored or new instrument)


Summary

As a user, I want to pay an RTP in full. This is an attempt to pay (ATP)

AC's

1. User successfully pays the RTP (ATP is successfull)

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument belongs to meAnd I have specified the corresponding encryption key in the request bodyOr I have specified other details as per BRIDGE-284 (apart from payee details) in the request bodyAnd the RTP existsAnd the RTP is in the correct state (Status: Pending)And I specify the correct amount (the amount specified on the RTP)Then the payment is processed as per BRIDGE‌-325

2. I have supplied a saved payment instrument and the instrument ID is invalid

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is invalidThen the payment fails with status 400

3. I have supplied a saved payment instrument and the instrument does not belong to me

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument does not belong to meThen the payment fails with status 400

4. I have supplied a saved payment instrument and the encryption key is not correct

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument belongs to meAnd I have specified the wrong encryption key in the request bodyThen the payment fails with status 401

5. the RTP does not exist

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument belongs to meAnd I have specified the corresponding encryption key in the request bodyOr I have specified other details as per  (apart from payee details) in the request bodyAnd the RTP doe not existThen the payment fails with status 400

6. The RTP is not in the Pending state

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument belongs to meAnd I have specified the corresponding encryption key in the request bodyOr I have specified other details as per  (apart from payee details) in the request bodyAnd the RTP existsAnd the RTP is not in the correct state (Status: Pending)Then the payment fails with status 400

7. The amount does not match the RTP's amount

Given that I am an authorised Bridge userWhen I make a request to POST /payables/rtps/{objectID}/atpsIf the request body contains my saved card payment instrument IDAnd the instrument ID is a valid ID for a saved card payment instrumentAnd the instrument belongs to meAnd I have specified the corresponding encryption key in the request bodyOr I have specified other details as per  (apart from payee details) in the request bodyAnd the RTP existsAnd the RTP is in the correct state (Status: Pending)And I specify the incorrect amount (the amount specified on the RTP)Then the payment fails with status 400

9. Request should be logged

Given that I have made a request as per the other scenarios on this storyWhen the request is processedThen compliance information about the request and response is logged to the database

10. Wiki should be updated