As a user I want to list all ATPs related to my payable RTP



Summary

User sees all ATPs related to their RTP where they are the counterparty

Acceptance Criteria

1. If neither payee not payer of ATP

*Given* that I am an authorised Bridge user

AND I am neither payee not payer of ATP

When I GET /payables/rtps/{rtpID}/atps

THEN request returns basic details on ALL related ATPs

2. IF they ARE also the ATP payee

*Given* that I am an authorised Bridge user

AND I am the ATP payee

When I GET /payables/rtps/{rtpID}/atps

THEN request returns full payeeInstrument info

3. IF they ARE NOT also the ATP payee

*Given* that I am an authorised Bridge user

AND I am AM NOT also the ATP payee

When I GET /payables/rtps/{rtpID}/atps

THEN request returns reduced/no payeeInstrument info

4. IF they ARE also the ATP payer

*Given* that I am an authorised Bridge user

AND I am also the ATP payer

When I GET /payables/rtps/{rtpID}/atps

THEN request returns full payerInstrument

5. IF they ARE NOT also the ATP payer

*Given* that I am an authorised Bridge user

AND I am NOT also the ATP payer

When I GET /payables/rtps/{rtpID}/atps

THEN request returns reduced/no payerInstrument info

6. The wiki is updated