BRIDGE-970 E2E Swagger tests

# Summary

* Created `dev_api/specs/confirm-activate-rule.e2e.spec.js`
* Updated `rules_controller.js` with stub `confirmReceivableRule`

# Test Plan

* Run All tests
* Run E2E: Confirm a rule

Test Results

```
E2E: Confirm a rule PASSED
    Good parameter data tests PASSED
        ✓ Test with a full set of correct parameters PASSED

    Tests body with missing & incorrect required parameters PASSED
        Missing body contents PASSED
            ✓ Test with no payer instrument ID parameter PASSED
            ✓ Test with no payer instrument key parameter PASSED

        Incorrect body contents PASSED
            ✓ Test with Invalid Object ID parameter PASSED
            ✓ Test with Too Short ID parameter PASSED
            ✓ Test with Too Long ID parameter PASSED
            ✓ Test with Invalid instrument key parameter PASSED
            ✓ Test with Short instrument key parameter PASSED
            ✓ Test with Long instrument key parameter PASSED

    Tests path incorrect ObjectID parameters PASSED
        Incorrect path ObjectID contents PASSED
            ✓ Test with Invalid Object ID parameter PASSED
            ✓ Test with Too Short Object ID parameter PASSED
            ✓ Test with Too Long Object ID parameter PASSED

12 Of 12 Passing

```