"CreateRTPSucceededInfo": {
            "description": "RTP created successfully.",
            "type": "object",
            "properties": {
                "requestToPayID": {"$ref": "#/definitions/uuid"}
            },
            "required": ["requestToPayID"]
        },
            
            
            
            
            
            "CreateRTPSucceededInfo": {
            "description": "RTP created successfully.",
            "type": "object",
            "properties": {
                "requestToPayID": {"$ref": "#/definitions/uuid"}
            },
            "required": ["requestToPayID"]
        }





"paymentInstrumentList": {
            "type": "object",
            "description": "Successful listing",
            "properties": {
                "data": {
                    "type": "array",
                    "items": {
                        "$ref": "#/definitions/payment-instrument-list-item"
                    }
                }
            },
            "required": ["data"]
        }






"rtpList": {
    
    "type": "object",
    "description": "Successful list",
    "properties": {
        "data" : {
            "type": "array",
            "items" : {
                "requestToPayID" : {"$ref": "#/definitions/uuid" }
            }
        }
    },
            "required": ["requestToPayID"]
}





{
                "payeeInstrument": {"$ref": "#/definitions/instrument-id-and-key"},
                "amount": {"$ref": "#/definitions/amount-value-currency-params"},
                "counterparty":{
                    "type": "object",
                    "properties": {
                        "userID": {"$ref": "#/definitions/object-id"}
                    },
                    "required": ["userID"]
                },
                "transactionDetails": {"$ref": "#/definitions/transaction-details-params"}
            },
            "required": ["payeeInstrument", "amount", "counterparty", "transactionDetails" ]






"TransactionSucceededInfo": {
            "description": "A payment has been successfully made",
            "type": "object",
            "properties": {
                "transaction": {
                    "description": "Contains the transaction ID",
                    "type": "object",
                    "properties": {
                        "id": {
                            "allOf": [
                                {"$ref": "#/definitions/uuid"},
                                { "description": "Transaction Unique Identifier"}
                            ]
                        }
                    },
                    "required": [
                        "id"
                    ]
                }
            },
            "required": ["transaction"]
        },
            
            
            
            
            