# Acceptance Criteria #

Summary

As a user, I want to pay an RTP in full. This is an attempt to pay (ATP)

The following acceptance criteria tests were performed on DEV.

### 1. User successfully pays the RTP (ATP is successfull) ###

Given that I am an authorised Bridge user

When I make a request to POST /payables/rtps/{objectID}/atps

If the request body contains my saved card payment instrument ID

And the instrument ID is a valid ID for a saved card payment instrument

And the instrument belongs to me

And I have specified the corresponding encryption key in the request body

Or I have specified other details as per BRIDGE-284 (apart from payee details) in the request body

And the RTP existsAnd the RTP is in the correct state (Status: Pending)

And I specify the correct amount (the amount specified on the RTP)

Then the payment is processed as per BRIDGE‌-325




Create a new worldpay merchant account using `/payment-instruments/worldpay-merchants`

Testing data:

```json
{
  "key": "66bbbe00-bd6c-4b34-8269-d19a041045a8",
  "ID": "5abcecc0de91bd75beb21a0e"
}
```



### 2. I have supplied a saved payment instrument and the instrument ID is invalid ###



### 3. I have supplied a saved payment instrument and the instrument does not belong to me ###



### 4. I have supplied a saved payment instrument and the encryption key is not correct ###



### 5. the RTP does not exist ###



### 6. The RTP is not in the Pending state ###



### 7. The amount does not match the RTP's amount ###



### 8. Request should be logged ###



