<?xml version="1.0"?>
<xsl:stylesheet version="1.0" xmlns:xsl="http://www.w3.org/1999/XSL/Transform">
  <xsl:template match="/">
    <html>
      <body>
        <table border="1" style="width:100%">
          <th>TestRun</th>
          <th>Total</th>
          <th>Passed</th>
          <tr>
            <td>
              <xsl:value-of select="testrun/@name"/>
            </td>
            <td>
              <xsl:value-of select="testrun/count[1]/@value"/>
            </td>
            <td>
              <xsl:value-of select="testrun/count[2]/@value"/>
            </td>
          </tr>
        </table>
          
        <xsl:for-each select="suite">
          <table border="1" style="width:100%">
            <th>
              <xsl:value-of select="@name"/>
            </th>
            <th></th>
            <th></th>
            <xsl:for-each select="test">
              <tr>
                <td>
                  <xsl:value-of select="@name"/>
                </td>
                <td>
                  <xsl:value-of select="@duration"/>ms</td>
                <td>
                  <xsl:value-of select="@status"/>
                </td>
              </tr>
            </xsl:for-each>
          </table>
        </xsl:for-each>
      </body>
    </html>
  </xsl:template>
</xsl:stylesheet>